
package de.ivu.elect.presentation.wahlbeteiligung.form;

import java.io.Serializable;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlauf;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlaufProperties;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;

public class WahlbeteiligungVerlaufViewFormBuilder implements Serializable {

  private static final long serialVersionUID = 1L;

  public void addProperties(FormBuilder formBuilder, WahlbeteiligungVerlauf entity) {
    WahlbeteiligungVerlaufProperties properties = entity.getProperties();
    formBuilder.addProperty(properties.getDatumProperty());
    formBuilder.addProperty(properties.getNameProperty());
    formBuilder.addProperty(properties.getTypMitLeererAuswahlProperty());
    formBuilder.addProperty(properties.getStatusMitLeererAuswahlProperty());
    formBuilder.addProperty(properties.getBemerkungProperty());
  }
}
